STDBOOL(3)

NAME
stdbool - standard boolean types

SYNOPSIS
#include <stdbool.h>

DESCRIPTION
The <stdbool.h> header defines four macros:

1.  bool, which expands to _Bool;

2.  true, which expands to the integer constant 1;

3.  false, which expands to the integer constant 0; and

4.  __bool_true_false_are_defined, which expands to the constant 1.

The ability to undefine and redefine the macros bool, true, and false is an obsolescent feature that may be withdrawn in a future version of a standard.

SEE ALSO
stdint(3)

STANDARDS
The <stdbool.h> header conforms to isoC-99 and p1003.1-2001.

HISTORY
The <stdbool.h> header was first introduced in NetBSD 1.6.